Bug 243998 - graphics/qgis-ltr: Fix build after textproc/txt2tags update
Summary: graphics/qgis-ltr: Fix build after textproc/txt2tags update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-09 09:45 UTC by Rainer Hurling
Modified: 2020-02-23 17:25 UTC (History)
2 users (show)

See Also:


Attachments
patch do build after txt2tags update again (1015 bytes, patch)
2020-02-09 09:45 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff
patch files instead of sed replacements (6.27 KB, patch)
2020-02-09 11:08 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2020-02-09 09:45:55 UTC
Created attachment 211496 [details]
patch do build after txt2tags update again

The FreeBSD package builder complains about encoding problems after [1]. This happens, because newer versions of textproc/txt2tags do not need the option '--encoding=utf-8' any more[2].

The patch is a workaround to remove such encoding entries from the QGIS-LTR port, until QGIS project changes upstream for newer txt2tags versions.


[1] http://svnweb.freebsd.org/changeset/ports/525495
[2] https://github.com/txt2tags/txt2tags/blob/v3/CHANGELOG.md#35-2020-02-01



The patch is tested on Poudriere (11.3i/a, 12.1i/a, and HEADi/a),
'portlint -AC' seems happy.
Comment 1 Loïc Bartoletti freebsd_committer 2020-02-09 10:13:55 UTC
Hi Rainer,

FYI, scripts/*pl and doc/*html are (normally) not required since scripts are used by the upstream CI/CD.

Can you create patch instead of sed replacement, see this comment (my bad) https://reviews.freebsd.org/D23188#511597

Thanks
Comment 2 Rainer Hurling 2020-02-09 11:08:22 UTC
Created attachment 211499 [details]
patch files instead of sed replacements

Thanks to Loïc Bartoletti for the hint, that such replacements should be done via regulary patch files instead of sed replacements, which are for variables ...
Comment 3 commit-hook freebsd_committer 2020-02-23 11:03:10 UTC
A commit references this bug:

Author: lbartoletti
Date: Sun Feb 23 11:02:45 UTC 2020
New revision: 526917
URL: https://svnweb.freebsd.org/changeset/ports/526917

Log:
  graphics/qgis-ltr, graphics/qgis: Fix build after textproc/txt2tags update

  The FreeBSD package builder complains about encoding problems after [1]. This happens, because newer versions of textproc/txt2tags do not need the option '--encoding=utf-8' any more[2].

  The patch is a workaround to remove such encoding entries from the QGIS port, until QGIS project changes upstream for newer txt2tags versions.

  While I'm here, replace sed commands by a patch file [3]

  [1] http://svnweb.freebsd.org/changeset/ports/525495
  [2] https://github.com/txt2tags/txt2tags/blob/v3/CHANGELOG.md#35-2020-02-01
  [3] https://reviews.freebsd.org/D23188#511597

  PR:	243998, 243996
  Submitted by:	Rainer Hurling (maintainer)
  Reviewed by:	lbartoletti
  Approved by:	tcbernor (mentor)
  Differential Revision:	https://reviews.freebsd.org/D23602

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/files/patch-cmake_Txt2Tags.cmake
  head/graphics/qgis/files/patch-doc_INSTALL.html
  head/graphics/qgis/files/patch-doc_INSTALL.t2t
  head/graphics/qgis/files/patch-doc_news.html
  head/graphics/qgis/files/patch-doc_news.t2t
  head/graphics/qgis/files/patch-scripts_release.pl
  head/graphics/qgis/files/patch-scripts_update-news.pl
  head/graphics/qgis-ltr/Makefile
  head/graphics/qgis-ltr/files/patch-cmake_Txt2Tags.cmake
  head/graphics/qgis-ltr/files/patch-doc_INSTALL.html
  head/graphics/qgis-ltr/files/patch-doc_INSTALL.t2t
  head/graphics/qgis-ltr/files/patch-doc_news.html
  head/graphics/qgis-ltr/files/patch-doc_news.t2t
  head/graphics/qgis-ltr/files/patch-scripts_release.pl
  head/graphics/qgis-ltr/files/patch-scripts_update-news.pl
Comment 4 Loïc Bartoletti freebsd_committer 2020-02-23 17:25:19 UTC
Commited, thanks!